#
# spec file for package sway-launcher-desktop
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sway-launcher-desktop
Version:        1.7.0
Release:        2.1
Summary:        TUI Application launcher with Desktop Entry support
License:        GPL-3.0-only
BuildArch:      noarch
Group:          System/X11/Utilities
URL:            https://github.com/Biont/sway-launcher-desktop
Source:         https://github.com/Biont/sway-launcher-desktop/archive/v%{version}.tar.gz
Patch0:         reset-shebang.patch
Requires:       fzf

%description
This is a TUI-based launcher menu made with bash and the amazing fzf. Despite its name, it does not depend on the Sway window manager can be used with just about any WM.

%prep
%autosetup -p0 -n %{name}-%{version}

%build

%install
install -Dm755 sway-launcher-desktop.sh %{buildroot}%{_bindir}/sway-launcher-desktop

%files
%defattr(-, root, root)
%license LICENSE
%doc README.md
%{_bindir}/*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Tue Sep 19 2023 Jan-Luca Kiok <opensuse-packages@jlk.one>
- Update to version 1.7.0
  * fix sway config entry for launcher call
  * Check autostart condition before launching
  * Sort desktop files alphabetical by application name
* Mon May 30 2022 Jan-Luca Kiok <me@jlk.one>
- Update to version 1.6.0
  Introduce function to purge invalid entries from history
* Thu Apr  7 2022 Jan-Luca Kiok <me@jlk.one>
- Format spec file via osc service
* Tue Mar  1 2022 Jan-Luca Kiok <me@jlk.one>
- Change Release from 1 to 0
* Sun Nov 14 2021 JL K <jlk@fsfe.org>
- Bump to 1.5.4
* Sat Oct  9 2021 JL K <jlk@fsfe.org>
- Fix wrong version string in specfile
* Sun Sep  5 2021 JL K <jlk@fsfe.org>
- Bump to 1.5.2
* Sun Mar  7 2021 JL K <jlk@fsfe.org>
- Bump version to 1.5.0
* Sat Dec  5 2020 JL K <jlk@fsfe.org>
- Bump to 1.4.0
* Tue Jul  7 2020 JL K <jlk@fsfe.org>
- Init project
